Delete data dashboard

Delete the specified data dashboard and its configuration. This operation is irreversible.

HTTP
DELETE $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

Request

Shell
curl -X DELETE "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

Successful response

When the deletion is successful, data.deleted in the response is true.

JSON
{
  "code": 0,
  "data": {"deleted": true}
}

The response fields are as follows.

Field

Type

Description

data.deleted

boolean

Whether it has been deleted.

Error response

JSON
{
  "code": 3,
  "message": "not found",
  "details": {
    "domain": "moi-core.catalog.data_dashboard",
    "reason": "DATA_DASHBOARD_NOT_FOUND"
  }
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on